NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.Features.SheetMetal.DrawnCutoutBuilder Class Reference

Represents a Drawn Cutout feature builder. More...

Inheritance diagram for NXOpen.Features.SheetMetal.DrawnCutoutBuilder:
NXOpen.Features.FeatureBuilder NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  DepthTypeOptions { SectionNormalSide, SectionReverseNormalSide }
 This enum represents the depth direction for the drawn cutout. More...
 
enum  SectionSideOptions { Left, Right }
 This enum represents the side of the section that the drawn cutout punches material. More...
 
enum  SidewallTypeOptions { Outside, Inside }
 The side walls material option. More...
 

Public Member Functions

unsafe void SetCornerRadius (string cornerRadius)
  More...
 
unsafe void SetCutoutDepth (string depth)
  More...
 
unsafe void SetRadiusOfDie (string dieRadius)
  More...
 
unsafe void SetSideAngle (string sideAngle)
  More...
 
unsafe int ValidateBuilderData ()
 Verify whether the builder data is valid for creating a Drawn Cutout or not. More...
 
- Public Member Functions inherited from NXOpen.Features.FeatureBuilder
unsafe NXOpen.Features.Feature CommitFeature ()
 Commits the feature parameters and creates the feature More...
 
unsafe NXOpen.Features.Feature GetFeature ()
 Returns the feature currently being edited by this builder. More...
 
unsafe void HideInternalParentFeatureAfterEdit (NXOpen.Features.Feature parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
unsafe void SetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited More...
 
unsafe void ShowInternalParentFeatureForEdit (NXOpen.Features.Feature parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
unsafe void UnsetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the internal parent feature of the feature being edited to external More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe NXOpen.Expression CornerRadius [get]
 Returns the Radius to be applied for rounding the sharp section corners More...
 
unsafe NXOpen.Expression CutoutDepth [get]
 Returns the depth of the Drawn Cutout More...
 
unsafe
NXOpen.Features.SheetMetal.DrawnCutoutBuilder.DepthTypeOptions 
DepthType [get, set]
 Returns or sets the Direction in which the Drawn Cutout is punched. More...
 
unsafe bool FilletSectionCorners [get, set]
 Returns or sets the Rounding Option for section Corners which contain Non Fillet Radii More...
 
unsafe bool IncludeRounding [get, set]
 Returns or sets the Rounding type of the Sharp edges of bottom face and top face. More...
 
unsafe NXOpen.Expression MinimumToolClearance [get]
 Returns the minimum tool clearance expression. More...
 
unsafe NXOpen.Expression RadiusOfDie [get]
 Returns the Radius value of the sharp edges of the bottom face More...
 
unsafe NXOpen.Section Section [get, set]
 Returns or sets the Section used by the Drawn Cutout. More...
 
unsafe
NXOpen.Features.SheetMetal.DrawnCutoutBuilder.SectionSideOptions 
SectionSide [get, set]
 Returns or sets the section side for the Drawn Cutout. More...
 
unsafe NXOpen.Expression SideAngle [get]
 Returns the Side Angle used by the Drawn Cutout. More...
 
unsafe
NXOpen.Features.SheetMetal.DrawnCutoutBuilder.SidewallTypeOptions 
SidewallType [get, set]
 Returns or sets the side where the material must be added to the Drawn Cutout. More...
 
unsafe
NXOpen.Features.SketchFeature 
Sketch [get, set]
 Returns or sets the Slave Sketch used by the Drawn Cutout, If one exists. More...
 
- Properties inherited from NXOpen.Features.FeatureBuilder
unsafe bool ParentFeatureInternal [get, set]
 Returns or sets whether or not the latest timestamped parent feature of this feature should be made internal More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a Drawn Cutout feature builder.

To create a new instance of this class, use NXOpen.Features.SheetMetal.SheetmetalManager.CreateDrawnCutoutFeatureBuilder

Created in NX4.0.0

Member Enumeration Documentation

This enum represents the depth direction for the drawn cutout.

Enumerator
SectionNormalSide 

Drawn Cutout punched on the side of the section normal.

SectionReverseNormalSide 

Drawn Cutout punched on the side opposite to that of the section normal

This enum represents the side of the section that the drawn cutout punches material.

The "left" option represents the side to the left of a person who is walking along the section in the direction of its curves when the section normal is pointing up. The "right" option represents the person's right hand side. This interpretation is the same regardless of whether the section is open or closed. The "right" side at any point along the section can also be represented by the vector resulting from the cross product of the curve tangent (of the section curve at that point) and the section normal. The "left" side is the opposite.

Enumerator
Left 

Side pointed to by the inverse of the tangent cross normal vector

Right 

Side pointed to by the tangent cross normal vector

The side walls material option.

This specifies whether the drawn cutout's outerwalls or the innerwalls coincide with the section outline

Enumerator
Outside 

the innerface of the drawn cutout side walls coincides with the section outline.

Inside 

the outerface of the drawn cutout side walls coincides with the section outline.

Member Function Documentation

unsafe void NXOpen.Features.SheetMetal.DrawnCutoutBuilder.SetCornerRadius ( string  cornerRadius)
inline

Created in NX5.0.0

Deprecated in NX10.0.0. Use NXOpen.Expression.RightHandSide on the NXOpen.Expression object returned from NXOpen.Features.SheetMetal.DrawnCutoutBuilder.CornerRadius instead.

License requirements: nx_sheet_metal ("NX Sheet Metal")

Parameters
cornerRadius
unsafe void NXOpen.Features.SheetMetal.DrawnCutoutBuilder.SetCutoutDepth ( string  depth)
inline

Created in NX5.0.0

Deprecated in NX10.0.0. Use NXOpen.Expression.RightHandSide on the NXOpen.Expression object returned from NXOpen.Features.SheetMetal.DrawnCutoutBuilder.CutoutDepth instead.

License requirements: nx_sheet_metal ("NX Sheet Metal")

Parameters
depth
unsafe void NXOpen.Features.SheetMetal.DrawnCutoutBuilder.SetRadiusOfDie ( string  dieRadius)
inline

Created in NX5.0.0

Deprecated in NX10.0.0. Use NXOpen.Expression.RightHandSide on the NXOpen.Expression object returned from NXOpen.Features.SheetMetal.DrawnCutoutBuilder.RadiusOfDie instead.

License requirements: nx_sheet_metal ("NX Sheet Metal")

Parameters
dieRadius
unsafe void NXOpen.Features.SheetMetal.DrawnCutoutBuilder.SetSideAngle ( string  sideAngle)
inline

Created in NX5.0.0

Deprecated in NX10.0.0. Use NXOpen.Expression.RightHandSide on the NXOpen.Expression object returned from NXOpen.Features.SheetMetal.DrawnCutoutBuilder.SideAngle instead.

License requirements: nx_sheet_metal ("NX Sheet Metal")

Parameters
sideAngle
unsafe int NXOpen.Features.SheetMetal.DrawnCutoutBuilder.ValidateBuilderData ( )
inline

Verify whether the builder data is valid for creating a Drawn Cutout or not.

If the Builder data is valid, returned value shall be 0

Created in NX4.0.0

License requirements: nx_sheet_metal ("NX Sheet Metal")

Returns
Data Validity Flag.

Property Documentation

unsafe NXOpen.Expression NXOpen.Features.SheetMetal.DrawnCutoutBuilder.CornerRadius
get

Returns the Radius to be applied for rounding the sharp section corners

Created in NX5.0.0

License requirements: nx_sheet_metal ("NX Sheet Metal")

unsafe NXOpen.Expression NXOpen.Features.SheetMetal.DrawnCutoutBuilder.CutoutDepth
get

Returns the depth of the Drawn Cutout

Created in NX5.0.0

License requirements: nx_sheet_metal ("NX Sheet Metal")

unsafe NXOpen.Features.SheetMetal.DrawnCutoutBuilder.DepthTypeOptions NXOpen.Features.SheetMetal.DrawnCutoutBuilder.DepthType
getset

Returns or sets the Direction in which the Drawn Cutout is punched.

This is used to specify the direction in which the punching should happen. If Punching must happen in the direction of the Section Normal (see NXOpen.Features.SheetMetal.DrawnCutoutBuilder.Section ) then pass the value of NXOpen.Features.SheetMetal.DrawnCutoutBuilder.DepthTypeOptions.SectionNormalSide If punching must happen in the opposite direction to that of Section Normal, set the value to be NXOpen.Features.SheetMetal.DrawnCutoutBuilder.DepthTypeOptions.SectionReverseNormalSide

Created in NX4.0.0

License requirements to get this property: nx_sheet_metal ("NX Sheet Metal")

License requirements to set this property: nx_sheet_metal ("NX Sheet Metal")

unsafe bool NXOpen.Features.SheetMetal.DrawnCutoutBuilder.FilletSectionCorners
getset

Returns or sets the Rounding Option for section Corners which contain Non Fillet Radii

Created in NX4.0.0

License requirements to get this property: nx_sheet_metal ("NX Sheet Metal")

License requirements to set this property: nx_sheet_metal ("NX Sheet Metal")

unsafe bool NXOpen.Features.SheetMetal.DrawnCutoutBuilder.IncludeRounding
getset

Returns or sets the Rounding type of the Sharp edges of bottom face and top face.

Created in NX4.0.0

License requirements to get this property: nx_sheet_metal ("NX Sheet Metal")

License requirements to set this property: nx_sheet_metal ("NX Sheet Metal")

unsafe NXOpen.Expression NXOpen.Features.SheetMetal.DrawnCutoutBuilder.MinimumToolClearance
get

Returns the minimum tool clearance expression.

Created in NX6.0.0

License requirements: nx_sheet_metal ("NX Sheet Metal")

unsafe NXOpen.Expression NXOpen.Features.SheetMetal.DrawnCutoutBuilder.RadiusOfDie
get

Returns the Radius value of the sharp edges of the bottom face

Created in NX5.0.0

License requirements: nx_sheet_metal ("NX Sheet Metal")

unsafe NXOpen.Section NXOpen.Features.SheetMetal.DrawnCutoutBuilder.Section
getset

Returns or sets the Section used by the Drawn Cutout.

Section can be Open/Closed.

The section is protruded on the reference face at finite distance of extent and in the direction of extent side. The actual extent distance will be determined by the active dimension option i.e. Offset Dimension or Full Dimension. In case of Offset Dimension the actual extent distance will be offset dimension distance plus the thickness of sheet. In case of Full Dimension the actual extent distance will be the Full dimension distance. In case of open section, the end segments are extended to the nearest flat face edges. If the end segments are already crossing the flat face edges, those segments will be trimmed to the edges.

Created in NX4.0.0

License requirements to get this property: nx_sheet_metal ("NX Sheet Metal")

License requirements to set this property: nx_sheet_metal ("NX Sheet Metal")

unsafe NXOpen.Features.SheetMetal.DrawnCutoutBuilder.SectionSideOptions NXOpen.Features.SheetMetal.DrawnCutoutBuilder.SectionSide
getset

Returns or sets the section side for the Drawn Cutout.

This is used to specify which side of the section should remain stationary during the drawn cutout operation. drawn cutout's section is a set of connected curves. The material exists on both sides of the section curves. section Side specifies - the material on which side of the curve must be punched.The other side shall be bent to the specified angle with respect to this fixed side. This is how you calculate Left/Right. Get the Section Normal (N)Get the Tangent of the section.(T) Result = CrossProduct(N, T). The resultant vector is called RIGHT. This vector shall be in the direction of one if the two sides of the material.If you want the material on the side of Result to be punched, then you have to pass the value of NXOpen.Features.SheetMetal.DrawnCutoutBuilder.SectionSideOptions.Right If you want the other side to be punched, then you have to send NXOpen.Features.SheetMetal.DrawnCutoutBuilder.SectionSideOptions.Left .

Created in NX4.0.0

License requirements to get this property: nx_sheet_metal ("NX Sheet Metal")

License requirements to set this property: nx_sheet_metal ("NX Sheet Metal")

unsafe NXOpen.Expression NXOpen.Features.SheetMetal.DrawnCutoutBuilder.SideAngle
get

Returns the Side Angle used by the Drawn Cutout.

In case of a tapered drawn cutout, the side angle is applied on the side faces of the above-protruded section. The affects of side angle will always increases the cavity volume of the drawn cutout.

Created in NX5.0.0

License requirements: nx_sheet_metal ("NX Sheet Metal")

unsafe NXOpen.Features.SheetMetal.DrawnCutoutBuilder.SidewallTypeOptions NXOpen.Features.SheetMetal.DrawnCutoutBuilder.SidewallType
getset

Returns or sets the side where the material must be added to the Drawn Cutout.

Done with Respect to the section

If NXOpen.Features.SheetMetal.DrawnCutoutBuilder.SidewallTypeOptions.Inside is specified, the material of the drawn cutout sidewalls will be added to the interior of the section. If NXOpen.Features.SheetMetal.DrawnCutoutBuilder.SidewallTypeOptions.Outside is specified,the material will be added from the lifted section such that the volume of the drawn cutout cavity is increased.

Created in NX4.0.0

License requirements to get this property: nx_sheet_metal ("NX Sheet Metal")

License requirements to set this property: nx_sheet_metal ("NX Sheet Metal")

unsafe NXOpen.Features.SketchFeature NXOpen.Features.SheetMetal.DrawnCutoutBuilder.Sketch
getset

Returns or sets the Slave Sketch used by the Drawn Cutout, If one exists.

If the Sketch is created internally as part of the Drawn Cutout command in the UI, then it shall be consumed by the Drawn Cutout and shall not show up as a separate feature in the Part Navigator. If such a behaviour is deired, then specify the Sketch here.

Created in NX4.0.0

License requirements to get this property: nx_sheet_metal ("NX Sheet Metal")

License requirements to set this property: nx_sheet_metal ("NX Sheet Metal")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.